IMAP - Office 365

Installation & Configuration du logiciel
Tricentenaire
Gsup LEVEL 0
Messages : 2
Enregistré le : jeu. 23 sept. 2021 11:57

IMAP - Office 365

Message par Tricentenaire »

Bonjour,

Nous n'arrivons pas a faire fonctionner le connecteur IMAP avec office 365.
Login sur la page office 365 est ok ( login / password vérifié )

Pourriez-vous nous aider ?

Erreur :
Erreur imap
Erreur imap
erreurimap.JPG (25.14 Kio) Vu 1078 fois
Configuration Connecteur IMAP
Configuration IMAP
Configuration IMAP
imap.JPG (57.52 Kio) Vu 1078 fois
Système
Système
Système
systeme.JPG (75.48 Kio) Vu 1078 fois
Merci
Avatar du membre
Flox
Administrateur du site
Messages : 6954
Enregistré le : jeu. 21 juin 2012 19:00

Re: IMAP - Office 365

Message par Flox »

Bonjour,

Le message d'erreur correspond à une erreur d'authentification, pouvez vous reverifier votre adresse mail et le mot de passe associé ?

Cdt
GestSup: 3.2.23 | Debian: 11 | Apache: 2.4.52 | MariaDB: 10.7.3 | PHP: 8.1.7
Tricentenaire
Gsup LEVEL 0
Messages : 2
Enregistré le : jeu. 23 sept. 2021 11:57

Re: IMAP - Office 365

Message par Tricentenaire »

Bonjour,

Il a été revérifié.
Nous avons même simplifié le mot de passe pour test mais le problème persiste.

Cdt
Avatar du membre
Flox
Administrateur du site
Messages : 6954
Enregistré le : jeu. 21 juin 2012 19:00

Re: IMAP - Office 365

Message par Flox »

J'ai réaliser un test de mon côté avec un paramétrage identique et n'observe pas d'anomalie :
2021-09-23 14_35_23_screenshot_gestsup.png
2021-09-23 14_35_23_screenshot_gestsup.png (20.28 Kio) Vu 1069 fois
Lors de la modification du mot de passe dans l'application, avez-vous bien validé la page puis appuyer sur le bouton "lancer l'import" ?

Cdt
GestSup: 3.2.23 | Debian: 11 | Apache: 2.4.52 | MariaDB: 10.7.3 | PHP: 8.1.7
Avatar du membre
ProServ
Gsup LEVEL 3
Messages : 75
Enregistré le : sam. 30 nov. 2019 12:33
Contact :

Re: IMAP - Office 365

Message par ProServ »

Bonjour,

J'ai un autre problème mais aussi avec Office 365

Lorsque je paramètre mon compte IMAP et lance l'import, rien ne s'effectue.
J'ai uniquement ces informations, sans message d'erreur :
Capture d’écran 2022-02-12 193457.jpg
Capture d’écran 2022-02-12 193457.jpg (16.42 Kio) Vu 779 fois

Je suis en 3.1.48
Cela fonctionnait bien lorsque les boites email étaient en local (gérées par CPANEL)

Tout est au vers dans les informations système
Capture d’écran 2022-02-12 193752.jpg
Capture d’écran 2022-02-12 193752.jpg (141.06 Kio) Vu 779 fois
OS : Linux Hébergement o2switch | MariaDB : 10.2.30 | PHP : 7.4.2 | GestSup : 3.2.18
Avatar du membre
ProServ
Gsup LEVEL 3
Messages : 75
Enregistré le : sam. 30 nov. 2019 12:33
Contact :

Re: IMAP - Office 365

Message par ProServ »

Cependant j'ai une erreur lors de test Office 365 :

Code : Tout sélectionner

S: * CAPABILITY IMAP4 IMAP4rev1 AUTH=PLAIN AUTH=XOAUTH2 SASL-IR UIDPLUS MOVE ID UNSELECT CHILDREN IDLE NAMESPACE LITERAL+
S: 1 OK CAPABILITY completed.
C: 2 LOGIN support@proserv.fr ********
S: 2 NO LOGIN failed.
Exception details:
Message: The IMAP server responded with an error status "2 NO LOGIN failed.".
Type: Microsoft.M365.RCA.Services.Protocols.Imap.ImapServerErrorException
OS : Linux Hébergement o2switch | MariaDB : 10.2.30 | PHP : 7.4.2 | GestSup : 3.2.18
Avatar du membre
ProServ
Gsup LEVEL 3
Messages : 75
Enregistré le : sam. 30 nov. 2019 12:33
Contact :

Re: IMAP - Office 365

Message par ProServ »

J'ai pourtant appliqué une Authentification personnalisée en activant l'authentification basic sur l'utilisateur (et désactivé la double authentification au cas où) :

Code : Tout sélectionner

Get-User -Identity "support@domaine.fr" | ft Name, Auth*

Name           AuthenticationPolicy
----           --------------------
Support        BasicAuth_Enable-IMAP-POP

Code : Tout sélectionner

Get-AuthenticationPolicy -Identity "BasicAuth_Enable-IMAP-POP"


AllowBasicAuthActiveSync           : False
AllowBasicAuthAutodiscover         : False
AllowBasicAuthImap                 : True
AllowBasicAuthMapi                 : False
AllowBasicAuthOfflineAddressBook   : False
AllowBasicAuthOutlookService       : False
AllowBasicAuthPop                  : True
AllowBasicAuthReportingWebServices : False
AllowBasicAuthRest                 : False
AllowBasicAuthRpc                  : False
AllowBasicAuthSmtp                 : False
AllowBasicAuthWebServices          : False
AllowBasicAuthPowershell           : False
AdminDisplayName                   :
ExchangeVersion                    : 0.20 (15.0.0.0)
Name                               : BasicAuth_Enable-IMAP-POP
DistinguishedName                  : CN=BasicAuth_Enable-IMAP-POP,CN=Auth
Identity                           : BasicAuth_Enable-IMAP-POP
ObjectCategory                     : FRAP264A002.PROD.OUTLOOK.COM/Configuration/Schema/ms-Exch-Auth-Policy
ObjectClass                        : {top, msExchAuthPolicy}
WhenChanged                        : 12/02/2022 19:04:49
WhenCreated                        : 12/02/2022 19:03:32
WhenChangedUTC                     : 12/02/2022 18:04:49
WhenCreatedUTC                     : 12/02/2022 18:03:32
Id                                 : BasicAuth_Enable-IMAP-POP
Guid                               : 4a0684d1-108f-433e-99ff-7781af947421
IsValid                            : True
ObjectState                        : Unchanged
OS : Linux Hébergement o2switch | MariaDB : 10.2.30 | PHP : 7.4.2 | GestSup : 3.2.18
Avatar du membre
Flox
Administrateur du site
Messages : 6954
Enregistré le : jeu. 21 juin 2012 19:00

Re: IMAP - Office 365

Message par Flox »

Bonjour,

Merci de mettre à jour votre application et ré essayer.

Cdt
GestSup: 3.2.23 | Debian: 11 | Apache: 2.4.52 | MariaDB: 10.7.3 | PHP: 8.1.7
Avatar du membre
ProServ
Gsup LEVEL 3
Messages : 75
Enregistré le : sam. 30 nov. 2019 12:33
Contact :

Re: IMAP - Office 365

Message par ProServ »

Ca y est je suis passé sur la 3.2.18

D'ailleurs au passage, sur les version jusqu'à la 3.2.1 le serveur de mise à jour était disponible (vert) mais pas de MAJ présente ni en version stable ni en version béta.
Maintenant, j'ai ce message :

Code : Tout sélectionner

Array ( [type] => 8192 [message] => Directive 'allow_url_include' is deprecated [file] => Unknown [line] => 0 )
 
 Erreur : Serveur de mise à jour inaccessible vérifier votre accès Internet et votre Firewall.
Je suis chez un hébergeur (o2switch) qui doit sûrement bloquer le port 21.

J'ai du me faire toutes les MAJ à la main de la 3.1.48 à la 3.2.18

Maintenant j'ai bien l'erreur d'authentification.
Capture d’écran 2022-02-17 012744.jpg
Capture d’écran 2022-02-17 012744.jpg (25.23 Kio) Vu 749 fois
OS : Linux Hébergement o2switch | MariaDB : 10.2.30 | PHP : 7.4.2 | GestSup : 3.2.18
Avatar du membre
Flox
Administrateur du site
Messages : 6954
Enregistré le : jeu. 21 juin 2012 19:00

Re: IMAP - Office 365

Message par Flox »

Pouvez-vous vérifier votre mot de passe et si l'authentification a deux facteurs est désactivé.
GestSup: 3.2.23 | Debian: 11 | Apache: 2.4.52 | MariaDB: 10.7.3 | PHP: 8.1.7
Répondre